package util.bd;

import java.sql.*;//contém todos os métodos que possibilitam a manipulação de conexão e manutenção com BDs
//import java.util.Properties;
import javax.swing.*;

public class ConexaoBD {

    private String dadosBanco = "jdbc:mysql://localhost/paulo";
    private String usuario = "paulo";
    private String senha = "123456";
    private Connection conexao;//objeto que efetua a conexão com o banco de dados
    public Statement statement;//objeto que abre caminho até o local do banco de dados. possibilitando apenas listar o conteudo do bd
    public ResultSet resultSet;//objeto que armazena os resultados dos comandos sql.

    public Connection retornaConexao(){
        if (this.conexao == null){
            this.conecta();
        }
        return this.conexao;
    }

 //**********************************************************************************************************
    public void conecta(){//boolean retorna apenas dois valores, verdadeiro ou falso
        try {

            conexao = DriverManager.getConnection(this.dadosBanco, this.usuario, this.senha);//faz a conexão com o BD
            System.out.println("Conexão com sucesso!");

        } catch (SQLException ex) {

            System.err.println("Erro na conexão: " + ex.toString());

        }
    }
//**********************************************************************************************************
    public void desconecta(){
        boolean result = true;

        try{
            conexao.close();
            JOptionPane.showMessageDialog(null, "Sucesso na finalização do banco de dados");
        }
        catch(SQLException finaliza){
            JOptionPane.showMessageDialog(null, "Não foi possível fechar o banco de dados" + finaliza);
            result = false;
        }
    }
//**********************************************************************************************************
    public void executeSQL(String tabelaSQL){//método para consulta no banco de dados
        try{
            statement = conexao.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE,ResultSet.CONCUR_READ_ONLY);//mesmo que dizer que a abertura de conexão com o bd é navegável. habilita o statement com a possibilidade de, além de listar, navegar pelos registros do bd. por exemploc com comandos first(), next(), etc.
            resultSet = statement.executeQuery(tabelaSQL);//executa o comando sql passado pelo parâmetro tabelaSQL no banco de dados estoque
        }
        catch(SQLException sqlex){
            JOptionPane.showMessageDialog(null, "Não foi possível executar o comando sql," + sqlex + ", o sql passado foi " + tabelaSQL);
        }
    }

    public class con {

        public con() {
        }
    }
//**********************************************************************************************************
}
